Complete Crap

I went to install the latest updates from McAfee today, for I have their virus scan/firewall package on my home computer. When I went to download the updates, they walk me through this big maze on downloading the correct plug-ins for 'non-IE' browsers (I use FireFox). I play along and install their plug-ins so that I can use FireFox to do all my updates in the future. After ~5 minutes of link digging crap, I get to a point where I have to 'Download Anti Virus Update' and 'Download Firewall Update', but when I click on the links to start the downloads, I'm presented with this:

 To use McAfee software products, Microsoft Internet Explorer 5.5 or higher is required. Please switch to Internet Explorer and return to our site.

Yeah, so needless to say I am pretty upset that they led me to believe FireFox would work, then simply present me with this unprofessional message. I'm not even sure why McAfee would do something like this. I installed the plug in and played their little game... Why the fiasco? Again, this is just complete crap!

Print | posted on Thursday, January 13, 2005 11:12 AM